[arch-commits] Commit in mongodb/repos (14 files)

Felix Yan fyan at nymeria.archlinux.org
Wed May 14 16:10:10 UTC 2014


    Date: Wednesday, May 14, 2014 @ 18:10:10
  Author: fyan
Revision: 111137

archrelease: copy trunk to community-testing-i686, community-testing-x86_64

Added:
  mongodb/repos/community-testing-i686/
  mongodb/repos/community-testing-i686/PKGBUILD
    (from rev 111134, mongodb/trunk/PKGBUILD)
  mongodb/repos/community-testing-i686/SConscript.client.patch
    (from rev 111134, mongodb/trunk/SConscript.client.patch)
  mongodb/repos/community-testing-i686/mongodb.conf
    (from rev 111134, mongodb/trunk/mongodb.conf)
  mongodb/repos/community-testing-i686/mongodb.install
    (from rev 111134, mongodb/trunk/mongodb.install)
  mongodb/repos/community-testing-i686/mongodb.service
    (from rev 111134, mongodb/trunk/mongodb.service)
  mongodb/repos/community-testing-i686/removeWerror.patch
    (from rev 111134, mongodb/trunk/removeWerror.patch)
  mongodb/repos/community-testing-x86_64/
  mongodb/repos/community-testing-x86_64/PKGBUILD
    (from rev 111134, mongodb/trunk/PKGBUILD)
  mongodb/repos/community-testing-x86_64/SConscript.client.patch
    (from rev 111134, mongodb/trunk/SConscript.client.patch)
  mongodb/repos/community-testing-x86_64/mongodb.conf
    (from rev 111134, mongodb/trunk/mongodb.conf)
  mongodb/repos/community-testing-x86_64/mongodb.install
    (from rev 111134, mongodb/trunk/mongodb.install)
  mongodb/repos/community-testing-x86_64/mongodb.service
    (from rev 111134, mongodb/trunk/mongodb.service)
  mongodb/repos/community-testing-x86_64/removeWerror.patch
    (from rev 111134, mongodb/trunk/removeWerror.patch)

--------------------------------------------------+
 community-testing-i686/PKGBUILD                  |   85 +++++++++++++++++++++
 community-testing-i686/SConscript.client.patch   |   13 +++
 community-testing-i686/mongodb.conf              |    8 +
 community-testing-i686/mongodb.install           |   32 +++++++
 community-testing-i686/mongodb.service           |   10 ++
 community-testing-i686/removeWerror.patch        |   11 ++
 community-testing-x86_64/PKGBUILD                |   85 +++++++++++++++++++++
 community-testing-x86_64/SConscript.client.patch |   13 +++
 community-testing-x86_64/mongodb.conf            |    8 +
 community-testing-x86_64/mongodb.install         |   32 +++++++
 community-testing-x86_64/mongodb.service         |   10 ++
 community-testing-x86_64/removeWerror.patch      |   11 ++
 12 files changed, 318 insertions(+)

Copied: mongodb/repos/community-testing-i686/PKGBUILD (from rev 111134, mongodb/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD	                        (rev 0)
+++ community-testing-i686/PKGBUILD	2014-05-14 16:10:10 UTC (rev 111137)
@@ -0,0 +1,85 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at gmail.com>
+# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Mathias Stearn <mathias at 10gen.com>
+# Contributor: Alec Thomas
+
+pkgname=mongodb
+pkgver=2.6.1
+pkgrel=2
+pkgdesc='A high-performance, open source, schema-free document-oriented database'
+arch=('i686' 'x86_64')
+url='http://www.mongodb.org'
+license=('AGPL3')
+depends=('pcre' 'snappy' 'openssl' 'gperftools' 'libsasl' 'boost-libs') # 'libyaml' 'yaml-cpp' 'v8')
+makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'boost' 'clang')
+checkdepends=('python2-pymongo')
+optdepends=('libpcap: needed for mongosniff')
+backup=('etc/mongodb.conf')
+install=mongodb.install
+source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
+        'mongodb.conf' 'mongodb.service' 'removeWerror.patch')
+
+build() {
+  # fucking mongo aint no fun to package
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  # failed to build with -Werror since 2.4.0
+  patch -Np1 -i "$srcdir/removeWerror.patch"
+
+  scons all \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl --cc=clang --cxx=clang++
+    # --use-system-yaml
+    # --use-system-v8
+}
+
+check() {
+  # Tests not passing
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons smokeAll \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl --cc=clang --cxx=clang++ \
+    --smokedbprefix="$srcdir" || :
+}
+
+package() {
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons install \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl --cc=clang --cxx=clang++ \
+    --prefix="$pkgdir/usr"
+    # --use-system-yaml
+    # --use-system-v8
+
+  install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
+  install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
+  install -dm700 "$pkgdir/var/lib/mongodb"
+  install -dm755 "$pkgdir/var/log/mongodb"
+}
+
+sha512sums=('a07168a8fa609d2a22b04db6b761e486e58fb63c66ea4974e5cc53a1255d514cd065a84b4dc62efbb27c39a6e3881d98a3f7025c2391a78d91d5cd515b8a2e56'
+            '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
+            '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9'
+            '868e5f93ba3c087f80982ffbe01411644d01329a51e4a1811cf8dd6de5e155f604a924be933623b70903fb4dabb27eed100a7eb6f6edcf4bb7a0fdfddd485270')

Copied: mongodb/repos/community-testing-i686/SConscript.client.patch (from rev 111134, mongodb/trunk/SConscript.client.patch)
===================================================================
--- community-testing-i686/SConscript.client.patch	                        (rev 0)
+++ community-testing-i686/SConscript.client.patch	2014-05-14 16:10:10 UTC (rev 111137)
@@ -0,0 +1,13 @@
+diff --git a/src/SConscript.client b/src/SConscript.client
+index 7a6bdc9..3fb55e5 100644
+--- a/src/SConscript.client
++++ b/src/SConscript.client
+@@ -134,7 +134,7 @@ env.Install(
+ # install
+ prefix = GetOption("prefix")
+ 
+-env.Install(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
++env.InstallAs(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
+ 
+ for x in clientHeaderDirectories:
+     env.Install(prefix + "/include/mongo/" + x,

Copied: mongodb/repos/community-testing-i686/mongodb.conf (from rev 111134, mongodb/trunk/mongodb.conf)
===================================================================
--- community-testing-i686/mongodb.conf	                        (rev 0)
+++ community-testing-i686/mongodb.conf	2014-05-14 16:10:10 UTC (rev 111137)
@@ -0,0 +1,8 @@
+# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
+# Run mongod --help to see a list of options
+
+bind_ip = 127.0.0.1
+quiet = true
+dbpath = /var/lib/mongodb
+logpath = /var/log/mongodb/mongod.log
+logappend = true

Copied: mongodb/repos/community-testing-i686/mongodb.install (from rev 111134, mongodb/trunk/mongodb.install)
===================================================================
--- community-testing-i686/mongodb.install	                        (rev 0)
+++ community-testing-i686/mongodb.install	2014-05-14 16:10:10 UTC (rev 111137)
@@ -0,0 +1,32 @@
+# vim: syntax=sh
+
+post_install() {
+  useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
+  chown -R mongodb:daemon /var/lib/mongodb
+  chown -R mongodb:daemon /var/log/mongodb
+
+  if [ "$(uname -m)" != "x86_64" ]
+  then
+    echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
+    echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
+  fi
+}
+
+post_upgrade() {
+  chown -R mongodb:daemon /var/lib/mongodb
+  chown -R mongodb:daemon /var/log/mongodb
+
+  if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
+  then
+    # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
+    # added july 5th, 2011
+    usermod -s /bin/bash mongodb >& /dev/null
+    echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
+    echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
+    echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
+  fi
+}
+
+pre_remove() {
+  userdel mongodb
+}

Copied: mongodb/repos/community-testing-i686/mongodb.service (from rev 111134, mongodb/trunk/mongodb.service)
===================================================================
--- community-testing-i686/mongodb.service	                        (rev 0)
+++ community-testing-i686/mongodb.service	2014-05-14 16:10:10 UTC (rev 111137)
@@ -0,0 +1,10 @@
+[Unit]
+Description=High-performance, schema-free document-oriented database
+After=network.target
+
+[Service]
+User=mongodb
+ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
+
+[Install]
+WantedBy=multi-user.target

Copied: mongodb/repos/community-testing-i686/removeWerror.patch (from rev 111134, mongodb/trunk/removeWerror.patch)
===================================================================
--- community-testing-i686/removeWerror.patch	                        (rev 0)
+++ community-testing-i686/removeWerror.patch	2014-05-14 16:10:10 UTC (rev 111137)
@@ -0,0 +1,11 @@
+--- a/SConstruct	2014-04-08 22:55:57.206075327 +0800
++++ b/SConstruct	2014-04-08 22:57:58.692240224 +0800
+@@ -819,7 +819,7 @@
+                          "-Winvalid-pch"] )
+     # env.Append( " -Wconversion" ) TODO: this doesn't really work yet
+     if linux or darwin:
+-        env.Append( CCFLAGS=["-Werror", "-pipe"] )
++        env.Append( CCFLAGS=["-pipe"] )
+ 
+     env.Append( CPPDEFINES=["_FILE_OFFSET_BITS=64"] )
+     env.Append( CXXFLAGS=["-Wnon-virtual-dtor", "-Woverloaded-virtual"] )

Copied: mongodb/repos/community-testing-x86_64/PKGBUILD (from rev 111134, mongodb/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2014-05-14 16:10:10 UTC (rev 111137)
@@ -0,0 +1,85 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at gmail.com>
+# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Mathias Stearn <mathias at 10gen.com>
+# Contributor: Alec Thomas
+
+pkgname=mongodb
+pkgver=2.6.1
+pkgrel=2
+pkgdesc='A high-performance, open source, schema-free document-oriented database'
+arch=('i686' 'x86_64')
+url='http://www.mongodb.org'
+license=('AGPL3')
+depends=('pcre' 'snappy' 'openssl' 'gperftools' 'libsasl' 'boost-libs') # 'libyaml' 'yaml-cpp' 'v8')
+makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'boost' 'clang')
+checkdepends=('python2-pymongo')
+optdepends=('libpcap: needed for mongosniff')
+backup=('etc/mongodb.conf')
+install=mongodb.install
+source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
+        'mongodb.conf' 'mongodb.service' 'removeWerror.patch')
+
+build() {
+  # fucking mongo aint no fun to package
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  # failed to build with -Werror since 2.4.0
+  patch -Np1 -i "$srcdir/removeWerror.patch"
+
+  scons all \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl --cc=clang --cxx=clang++
+    # --use-system-yaml
+    # --use-system-v8
+}
+
+check() {
+  # Tests not passing
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons smokeAll \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl --cc=clang --cxx=clang++ \
+    --smokedbprefix="$srcdir" || :
+}
+
+package() {
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons install \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl --cc=clang --cxx=clang++ \
+    --prefix="$pkgdir/usr"
+    # --use-system-yaml
+    # --use-system-v8
+
+  install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
+  install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
+  install -dm700 "$pkgdir/var/lib/mongodb"
+  install -dm755 "$pkgdir/var/log/mongodb"
+}
+
+sha512sums=('a07168a8fa609d2a22b04db6b761e486e58fb63c66ea4974e5cc53a1255d514cd065a84b4dc62efbb27c39a6e3881d98a3f7025c2391a78d91d5cd515b8a2e56'
+            '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
+            '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9'
+            '868e5f93ba3c087f80982ffbe01411644d01329a51e4a1811cf8dd6de5e155f604a924be933623b70903fb4dabb27eed100a7eb6f6edcf4bb7a0fdfddd485270')

Copied: mongodb/repos/community-testing-x86_64/SConscript.client.patch (from rev 111134, mongodb/trunk/SConscript.client.patch)
===================================================================
--- community-testing-x86_64/SConscript.client.patch	                        (rev 0)
+++ community-testing-x86_64/SConscript.client.patch	2014-05-14 16:10:10 UTC (rev 111137)
@@ -0,0 +1,13 @@
+diff --git a/src/SConscript.client b/src/SConscript.client
+index 7a6bdc9..3fb55e5 100644
+--- a/src/SConscript.client
++++ b/src/SConscript.client
+@@ -134,7 +134,7 @@ env.Install(
+ # install
+ prefix = GetOption("prefix")
+ 
+-env.Install(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
++env.InstallAs(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
+ 
+ for x in clientHeaderDirectories:
+     env.Install(prefix + "/include/mongo/" + x,

Copied: mongodb/repos/community-testing-x86_64/mongodb.conf (from rev 111134, mongodb/trunk/mongodb.conf)
===================================================================
--- community-testing-x86_64/mongodb.conf	                        (rev 0)
+++ community-testing-x86_64/mongodb.conf	2014-05-14 16:10:10 UTC (rev 111137)
@@ -0,0 +1,8 @@
+# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
+# Run mongod --help to see a list of options
+
+bind_ip = 127.0.0.1
+quiet = true
+dbpath = /var/lib/mongodb
+logpath = /var/log/mongodb/mongod.log
+logappend = true

Copied: mongodb/repos/community-testing-x86_64/mongodb.install (from rev 111134, mongodb/trunk/mongodb.install)
===================================================================
--- community-testing-x86_64/mongodb.install	                        (rev 0)
+++ community-testing-x86_64/mongodb.install	2014-05-14 16:10:10 UTC (rev 111137)
@@ -0,0 +1,32 @@
+# vim: syntax=sh
+
+post_install() {
+  useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
+  chown -R mongodb:daemon /var/lib/mongodb
+  chown -R mongodb:daemon /var/log/mongodb
+
+  if [ "$(uname -m)" != "x86_64" ]
+  then
+    echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
+    echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
+  fi
+}
+
+post_upgrade() {
+  chown -R mongodb:daemon /var/lib/mongodb
+  chown -R mongodb:daemon /var/log/mongodb
+
+  if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
+  then
+    # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
+    # added july 5th, 2011
+    usermod -s /bin/bash mongodb >& /dev/null
+    echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
+    echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
+    echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
+  fi
+}
+
+pre_remove() {
+  userdel mongodb
+}

Copied: mongodb/repos/community-testing-x86_64/mongodb.service (from rev 111134, mongodb/trunk/mongodb.service)
===================================================================
--- community-testing-x86_64/mongodb.service	                        (rev 0)
+++ community-testing-x86_64/mongodb.service	2014-05-14 16:10:10 UTC (rev 111137)
@@ -0,0 +1,10 @@
+[Unit]
+Description=High-performance, schema-free document-oriented database
+After=network.target
+
+[Service]
+User=mongodb
+ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
+
+[Install]
+WantedBy=multi-user.target

Copied: mongodb/repos/community-testing-x86_64/removeWerror.patch (from rev 111134, mongodb/trunk/removeWerror.patch)
===================================================================
--- community-testing-x86_64/removeWerror.patch	                        (rev 0)
+++ community-testing-x86_64/removeWerror.patch	2014-05-14 16:10:10 UTC (rev 111137)
@@ -0,0 +1,11 @@
+--- a/SConstruct	2014-04-08 22:55:57.206075327 +0800
++++ b/SConstruct	2014-04-08 22:57:58.692240224 +0800
+@@ -819,7 +819,7 @@
+                          "-Winvalid-pch"] )
+     # env.Append( " -Wconversion" ) TODO: this doesn't really work yet
+     if linux or darwin:
+-        env.Append( CCFLAGS=["-Werror", "-pipe"] )
++        env.Append( CCFLAGS=["-pipe"] )
+ 
+     env.Append( CPPDEFINES=["_FILE_OFFSET_BITS=64"] )
+     env.Append( CXXFLAGS=["-Wnon-virtual-dtor", "-Woverloaded-virtual"] )




More information about the arch-commits mailing list